﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleSample_Appointments
{
	public partial class CustomAppointmentSchedulePage : ContentPage
	{

		ScheduleAppointmentMapping dataMapping;
		ObservableCollection<Meeting> meetings;
		ScheduleViewModel viewModel;

		public CustomAppointmentSchedulePage()
		{
			InitializeComponent();

            viewModel = new ScheduleViewModel();
            schedule.BindingContext = viewModel;

            dataMapping = new ScheduleAppointmentMapping();
            dataMapping.SubjectMapping = "EventName";
            dataMapping.StartTimeMapping = "From";
            dataMapping.EndTimeMapping = "To";
            dataMapping.ColorMapping = "color";
            schedule.AppointmentMapping = dataMapping;
            meetings = viewModel.ListOfMeeting;
            schedule.DataSource = meetings;

            DayViewSettings dayViewSettings = new DayViewSettings();
            dayViewSettings.WorkStartHour = 7;
            dayViewSettings.WorkEndHour = 18;
            schedule.DayViewSettings = dayViewSettings;

            this.Content = schedule;
        }

		/// <summary>
		/// Ons the disappearing.
		/// </summary>
		protected override void OnDisappearing()
		{
            base.OnDisappearing();

            if (schedule != null)
            {
                schedule.Dispose();
                schedule = null;
            }

        }
	}
}
